Package org.sunflow.core

# Class TextureCache

java.lang.Object
org.sunflow.core.TextureCache

public final class TextureCache extends Object
Maintains a cache of all loaded texture maps. This is usefull if the same texture might be used more than once in your scene.

## Constructor Summary

Constructors
Constructor
Description
`TextureCache()`

## Method Summary

Modifier and Type
Method
Description
`void`
`flush()`
Flush all textures from the cache, this will cause them to be reloaded anew the next time they are accessed.
`Texture`
`getTexture(String filename, boolean isLinear)`
Gets a reference to the texture specified by the given filename.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextureCache

public TextureCache()

## Method Details

### getTexture

public Texture getTexture(String filename, boolean isLinear)
Gets a reference to the texture specified by the given filename. If the texture has already been loaded the previous reference is returned, otherwise, a new texture is created.

Parameters:
  `filename` - image file to load
  `isLinear` - is the texture gamma corrected?
Returns:
  texture object
See Also:
  - `Texture`

### flush

public void flush()
Flush all textures from the cache, this will cause them to be reloaded anew the next time they are accessed.